---
title: Import
url: https://www.tines.com/docs/api/records/record_views/import/
updated: 2025-12-02T14:25:03+00:00
description: Import a record view. The import data should be obtained from the [export endpoint](/api/record_views/export).
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Records](https://www.tines.com/llm/docs/api/records.md) › [Record Views](https://www.tines.com/llm/docs/api/records/record_views.md)*

# Import

*[View on tines.com](https://www.tines.com/docs/api/records/record_views/import/)*

## Description

Import a record view. The import data should be obtained from the [export endpoint](/api/record_views/export).

## Request

HTTP Method: **POST**

| Body Parameter | Description                                                                                                                                       |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| team_id        | ID of the team to which the record view should be added.                                                                                          |
| data           | JSON object representing the record view in [exported form](/api/record_views/export#sample-response).                                            |
| mode           | **Optional** Create a new record view or replace an existing one by name (`new`, `replace`). Defaults to `new`.                                   |
| name           | **Optional** Name for the record view. Defaults to the name in the export data. In `replace` mode, this specifies which existing view to replace. |

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/record_views/import \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
    "team_id": 14,
    "name": "Imported view",
    "mode": "new",
    "data": {
      "schema_version": 1,
      "record_view": {
        "name": "Open cases by priority",
        "report_view": "chart",
        "elements": [],
        "layout": []
      }
    }
  }'
```

## Response

A successful request will return a JSON object describing the newly created record view with a `201` status code.

### Field description

| Parameter  | Description                                                            |
| ---------- | ---------------------------------------------------------------------- |
| id         | Integer ID of the record view.                                         |
| name       | Name of the record view.                                               |
| team       | Object describing the team this record view belongs to.                |
| team.id    | Integer ID of the team.                                                |
| team.name  | Name of the team.                                                      |
| created_at | ISO 8601 timestamp representing when the record view was created.      |
| updated_at | ISO 8601 timestamp representing when the record view was last updated. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 42,
  "name": "Imported view",
  "team": {
    "id": 14,
    "name": "Security Operations"
  },
  "created_at": "2025-02-14T10:30:00Z",
  "updated_at": "2025-02-14T10:30:00Z"
}
```

<!-- cspell:enable -->
